Welcome to MilkyWay@home

Separation (Modified Fit) libc6 error


Advanced search

Message boards : Number crunching : Separation (Modified Fit) libc6 error
Message board moderation

To post messages, you must log in.

AuthorMessage
cyrusNGC_224@P3D

Send message
Joined: 2 Apr 13
Posts: 10
Credit: 965,832,160
RAC: 3
500 million credit badge8 year member badge
Message 59028 - Posted: 21 Jun 2013, 22:02:09 UTC

On debian wheezy system all (cpu&gpu apps) wu's failing.


<core_client_version>7.0.65</core_client_version>
<![CDATA[
<message>
process exited with code 1 (0x1, -255)
</message>
<stderr_txt>
../../projects/milkyway.cs.rpi.edu_milkyway/milkyway_separation__modified_fit_1.22_x86_64-pc-linux-gnu__opencl_nvidia: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by ../../projects/milkyway.cs.rpi.edu_milkyway/milkyway_separation__modified_fit_1.22_x86_64-pc-linux-gnu__opencl_nvidia)

</stderr_txt>
]]>


# ldd /var/lib/boinc-client/projects/milkyway.cs.rpi.edu_milkyway/milkyway_separation__modified_fit_1.22_x86_64-pc-linux-gnu__opencl_nvidia 
/var/lib/boinc-client/projects/milkyway.cs.rpi.edu_milkyway/milkyway_separation__modified_fit_1.22_x86_64-pc-linux-gnu__opencl_nvidia: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /var/lib/boinc-client/projects/milkyway.cs.rpi.edu_milkyway/milkyway_separation__modified_fit_1.22_x86_64-pc-linux-gnu__opencl_nvidia)
        linux-vdso.so.1 =>  (0x00007fffad9fe000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fbe47cc4000)
        libOpenCL.so.1 => /usr/lib/libOpenCL.so.1 (0x00007fbe47abf000)
        librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fbe478b6000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fbe4769a000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fbe47310000)
        /lib64/ld-linux-x86-64.so.2 (0x00007fbe47f65000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fbe4710b000)

ID: 59028 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Jake Weiss
Volunteer moderator
Project developer
Project tester
Project scientist

Send message
Joined: 25 Feb 13
Posts: 580
Credit: 75,271,794
RAC: 0
50 million credit badge8 year member badgeextraordinary contributions badge
Message 59029 - Posted: 21 Jun 2013, 23:45:24 UTC

I saw this popping up on a couple of users, and I tested on a fresh install of ubuntu today which didn't reproduce the problem. I will be look into what could be causing it this weekend.

Jake W
ID: 59029 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Microcruncher*
Avatar

Send message
Joined: 1 Jul 09
Posts: 8
Credit: 1,734,500
RAC: 0
1 million credit badge12 year member badge
Message 59033 - Posted: 22 Jun 2013, 8:25:33 UTC - in response to Message 59029.  

Debian 7.0/7.1 (wheezy) uses the GLIBC 2.13 while the app requires version 2.14. This prevents the OpenCL app (and that from Poem@Home) from running on a Debian wheezy installation.
ID: 59033 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Jake Weiss
Volunteer moderator
Project developer
Project tester
Project scientist

Send message
Joined: 25 Feb 13
Posts: 580
Credit: 75,271,794
RAC: 0
50 million credit badge8 year member badgeextraordinary contributions badge
Message 59058 - Posted: 23 Jun 2013, 15:03:48 UTC

Weird. I compiled against what I thought was a really old library. When I get back into the office on Monday, I will see if there is anything I can do.

Jake W
ID: 59058 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profile[AF>Libristes>Jip] Elgrande71
Avatar

Send message
Joined: 21 Mar 08
Posts: 20
Credit: 183,766,905
RAC: 0
100 million credit badge13 year member badge
Message 59197 - Posted: 2 Jul 2013, 16:19:05 UTC
Last modified: 2 Jul 2013, 16:19:37 UTC

I have GLIBC version problem with the modified-fit opencl-ati application :
http://milkyway.cs.rpi.edu/milkyway/results.php?hostid=520734&offset=0&show_names=0&state=0&appid=10 .
My ATI/AMD GPU is on Debian Wheezy GNU/Linux system.
ID: 59197 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
cyrusNGC_224@P3D

Send message
Joined: 2 Apr 13
Posts: 10
Credit: 965,832,160
RAC: 3
500 million credit badge8 year member badge
Message 59213 - Posted: 3 Jul 2013, 20:11:28 UTC

Yes, the problem ist still available on all my linux clients.
All other projects and mw@home, nbody are ok.
Even on an old debian lenny (very old libc) system!

I just deactivate modified_fit in config (as long as it dosn't work) .
ID: 59213 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profile[AF>Libristes>Jip] Elgrande71
Avatar

Send message
Joined: 21 Mar 08
Posts: 20
Credit: 183,766,905
RAC: 0
100 million credit badge13 year member badge
Message 59219 - Posted: 4 Jul 2013, 8:21:28 UTC - in response to Message 59213.  

I do the same thing (unselect modified_fit app).
ID: 59219 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote

Message boards : Number crunching : Separation (Modified Fit) libc6 error

©2021 Astroinformatics Group